#!/bin/sh
#
# file: $LINKON/util/lk_appbuilder/v1.0/Make.sh
#
# this installation script will install the driver script for the 
# GUI in the architecture dependent bin directory
#

# start the installation procedure
#

if (test -z "$LINKON") then
    echo "Make.sh: environmental variable LINKON not set";
    exit;
fi

if (test -z "$ISIP_BINARY") then
    echo "Make.sh: environmental variable ISIP_BINARY not set";
    exit;
fi

BINDIR="$LINKON/bin/$ISIP_BINARY";

# make sure a binary & library directory exists for this architecture
#
if (test -d "$BINDIR") then
    echo "Make.sh: directory exists -- good";
else
    echo "Make.sh: creating directory $BINDIR"
    `mkdir $BINDIR`;
fi

echo "> installing script $BINDIR/lk_appbuilder";
`cp ./lk_appbuilder.sh $BINDIR/lk_appbuilder`;

# exit gracefully
#
exit 0;



