# file: lk_error_window.tcl
#

# this proc generates an error dialog box 
#
proc error_window {labl mesg} {
    set p ".error"
    global fonts

    # if a previous window exists, use it again
    #
    if { [winfo exists $p] != 0 } {
	wm deiconify $p
	
	raise $p
	
	# reconfigure the message
	#
	$p.msg configure -text $mesg
	$p.labl configure -text $labl
	$p.help configure -command "help_box \"$labl\""

	# reconfigure the help bindings
	#
	bind $p.msg <Button-3> "help_box \"$labl\""
	bind $p.labl <Button-3> "help_box \"$labl\""
	
    } else {
	
	# create a dialog box
	#
	toplevel $p
	
	wm geometry $p +400+400
	wm title $p "Error"
	
	# configure the message and label
	#
	message $p.msg -text $mesg -width 200 \
		-padx 20 -pady 20
	
	label $p.labl -text $labl -font $fonts(12)

	# configure the buttons
	#
	button $p.cancel -text "Cancel <Esc>" -command "destroy $p" \
		-font $fonts(14)
	button $p.help -text "Help" -command "help_box \"$labl\"" \
		-font $fonts(14)

	# configure the help bindings
	#
	bind $p.msg <Button-3> "help_box \"$labl\""
	bind $p.labl <Button-3> "help_box \"$labl\""

	# pack the widgets
	#
	pack $p.labl $p.msg -side top
	pack $p.help $p.cancel -side left -fill both -expand true
    }
}


# end of file
#
