# file: lk_exit.tcl
#
# this proc exits the system, giving the user a chance to confirm the
# possible loss of program data.  
#
proc exit_cc {} {
    global save_flag
    global need_save
    global no_need_save
    global fonts

    set p ".exit"

    if { [winfo exists $p] != 0 } {

	# make a dialog box current
	#
	wm deiconify $p
	raise $p

    } else {

	# create a dialog box
	#
	toplevel $p
	
	wm geometry $p +400+400
	wm title $p "Exit confirmation"
	
	message $p.msg -text "Exit: Are you sure?" -width 200 \
		-padx 20 -pady 20 -font $fonts(10)
	
	button $p.quit -text "Exit" -command clean_exit_cc \
		-font $fonts(14)
	button $p.cancel -text "Cancel" -command "destroy $p" \
		-font $fonts(14)
	
	pack $p.msg
	pack $p.quit $p.cancel -side left -fill both -expand true
    }

    # branch on the save status
    #
    if {$save_flag == $need_save} {
	$p.msg configure -text "Abandon Unsaved Changes?"
    } else {
#	$p.msg configure -text "Exit: Are you sure?"
	clean_exit_cc
    }    
}

# end of file
#
