# file: lk_insert_item.tcl
#
# This proc inserts a new item of type $type into the current application
#
proc insert_item {type} {

    global num_items
    global num_items_hist
    global item_number
    global item_list
    global insert_dir
    global LB_W
    global p

    set w $LB_W

    # this is the TOTAL number of items that have ever been in the 
    # system, so no collisions may occur
    #
    set number [incr num_items_hist]

    incr num_items
    
    if { $insert_dir > 0 } {
	# insert at the end of the list
	#
	if { $item_number < [expr [llength $item_list] + 1] } {
	    incr_item_number +1 
	}

	# make sure that we are not on the first item
	#
    } elseif { $item_number == 0 } {
	incr_item_number +1 
    }
	    
    # this name will appear in the list of current items
    #
    set name "it_$number"

    # create the list from which to build the items data
    #
    set item_list [linsert $item_list [expr $item_number -1] $name]
    
    # update the listbox displays
    #
    $w.it_type insert [expr $item_number -1] $type
    $w.it_pnuem insert [expr $item_number -1] [get_pnuem "$type"]
    $w.it_name insert [expr $item_number -1] ""
    $w.it_ref_name insert [expr $item_number -1] ""
    $w.it_jump_name insert [expr $item_number -1] ""
    $p.minibuffer_f.comment configure -text ""

    # create the configuration window for this item
    #
    make_it_list $type $name "item of type $type"
    
    # refresh the number count
    #
    $w.it_num delete 0 end
    for {set i 1} {$i <= [llength $item_list]} { incr i} {
	$w.it_num insert end $i
    }

    LBview

}

# end of file
#
