# file: lk_mesg_box.tcl
#
# This proc creates a window used by the help utility
#

proc mesg_box { label mesg } {
    
    global question_graphic
    global graphics_dir
    global fonts

    # default message
    #
    if {$mesg == "" } {
	set mesg "I'm sorry, no help is available for this area. Please\
		consult the user's guide for more information"
    }
    
    set w ".help"

    # don't recreate the help window, try to reuse existing one
    #
    if { [winfo exists $w] == 1 } {
	wm deiconify $w
	raise $w

	# reconfigure the message
	#
	$w.msg configure -text $mesg
	$w.lbl configure -text $label

    } else {

	# create a new window
	#
	toplevel $w
	wm geometry $w +0-20
	wm title $w "Help window"
	button $w.dis -text dismiss -command "destroy $w" -pady 0 \
		-font $fonts(14)
	pack $w.dis -side bottom -fill x
	frame $w.msg_f -width 400

	# set the message
	#
	message $w.msg -width 100c -font $fonts(10)
	# set the graphic of the question mark to be displayed
	#
	canvas $w.graphic -width 71 -height 71
	image create photo question_mark
	question_mark read $question_graphic
	$w.graphic create image 0 0 -image question_mark -anchor nw

	label $w.lbl -text $label -font $fonts(12)
	pack $w.graphic $w.msg_f -side left 
	pack $w.lbl $w.msg -in $w.msg_f -side top
	$w.msg configure -text $mesg
    }
}

# end of file
#
