# file: lk_new_app.tcl
#
# This procedure clears the current application.
#
proc new_app {} {
    
    global vars
    global item_boxes
    global LB_W
    global item_number
    global item_list
    global general_params
    global num_items
    global num_items_hist
    global item_params
    global save_flag
    global no_save
    global deleted_list

    foreach lb $item_boxes {
	$LB_W.$lb delete 0 end
    }
    set item_number 0
    set item_list {}
    set deleted_list {}

    # unset the general parameters
    #
    foreach param $general_params {
	set name [lindex $param 0]
	catch { unset var(general,$name) }
    }
    catch { unset var(general,comment) }
    
    # unset all items, even deleted ones
    #
    for {set i 0} {$i < $num_items_hist} {incr i} {
	set item_name it_$i
	foreach param $item_params {
	    set name [lindex $param 0]
	    catch { unset vars($item_name,$name) }
	}
    }
    set num_items 0
    set num_items_hist 0
    
    set save_flag $no_save
    
    plot
}

# end of file
#
