# file: lk_re_insert_item.tcl
#
# This procedure is used to paste from the cut buffer onto the current
# position
#
proc re_insert_item {} {
    global deleted_list
    global num_items_hist
    global num_items
    global item_number
    global item_params
    global item_list
    global insert_dir
    global vars
    global LB_W
    global save_flag
    global need_save
    global p

    set w $LB_W
    
    set name $deleted_list

    if { $name == "" } {
	error_window "invalid paste" \
		"There are no items on the clip-board"
    } else {
	
	# set the save flag
	#
	set save_flag $need_save
	incr num_items
	incr num_items_hist
	set new_name "it_$num_items_hist"

	# find the number from the list
	#
	set number [string range $name 3 end]
	
	if { $insert_dir > 0 } {
	    # insert at the end of the list
	    #
	    if { $item_number < [expr [llength $item_list] + 1] } {
		incr_item_number +1 
	    }
	} elseif { $item_number == 0} {
	    incr_item_number +1
	}
	
	# copy the cut item onto a new one
	#
	foreach param $item_params {
	    set pname [lindex $param 0]
	    catch { set vars($new_name,$pname) $vars($name,$pname) }
	}

	# reset the name parameter to a unique permutation if necessary
	#
	set item_name ""
	catch {set item_name $vars($name,name)} 
	
	if {$item_name != ""} {
	    set flag 1
	    while {$flag == 1} {
		set flag 0
		foreach test_item $item_list {
		    catch {
			set it_test_name $vars($test_item,name)
			if [string match $it_test_name $item_name] {
			    set item_name "$item_name copy"
			    set flag 1
			}
		    }

		}
	    }
	    set vars($new_name,name) $item_name

	}

	set item_list [linsert $item_list [expr $item_number -1] $new_name]
	
	# clear and refresh the display
	#
	$w.it_type insert [expr $item_number-1] ""
	$w.it_pnuem insert [expr $item_number-1] ""
	$w.it_name insert [expr $item_number-1] ""
	$w.it_ref_name insert [expr $item_number-1] ""
	$w.it_jump_name insert [expr $item_number-1] ""
	$p.minibuffer_f.comment configure -text ""

	refresh_item_named $new_name
	
	set type [$w.it_type get $item_number]
	
	# refresh the number count
	#
	$w.it_num delete 0 end
	for {set i 1} {$i <= [llength $item_list]} { incr i} {
	    $w.it_num insert end $i
	}
	plot
	LBview
    }
}


# end of file
#
