# file: lk_refresh_item_named.tcl
#
# this procedure refreshes the item named name in the item list
# by reseting its values in the multiple list boxes
#
proc refresh_item_named {name} {
    global vars
    global LB_W
    global item_number
    global p

    # check validity of data
    #
    if { ("$name" != "")&&($item_number > 0) } {
	
	# initialize variables
	#
	set it_type ""
	set it_name ""
	set it_ref_name ""
	set it_jump_name ""
	set it_comment ""
	set it_pnuem ""
	set num [get_list_num "$name"]
	
	
	# this is done with catch {} loops because the variables
	# may very well not be defined. If the variables are not defined,
	# they remain in their initial, null values, which is desired.
	#
	catch { 
	    set it_type "$vars($name,type)" 
	    set it_pnuem [get_pnuem "$it_type"]
	}
	catch { set it_name "$vars($name,name)" }
	catch { set it_ref_name "$vars($name,ref_name)" }
	catch { set it_jump_name "$vars($name,jump_name)" }
	catch { set it_comment "$vars($name,comment)" }

	# type has to be set or many things break
	#
	if { $it_type != "" } {
	    $LB_W.it_type delete $num
	    $LB_W.it_type insert $num $it_type
	
	    $LB_W.it_pnuem delete $num
	    $LB_W.it_pnuem insert $num $it_pnuem
    
	    $LB_W.it_name delete $num
	    $LB_W.it_name insert $num $it_name	
	
	    $LB_W.it_ref_name delete $num
	    $LB_W.it_ref_name insert $num $it_ref_name	
	
	    $LB_W.it_jump_name delete $num
	    $LB_W.it_jump_name insert $num $it_jump_name	
	
	    $p.minibuffer_f.comment configure -text $it_comment
	}
	
	# refresh display
	#
	LBview    

    } 
}
    


# end of file
#
