# file: lk_save_all.tcl
#
# This procedure saves the current application onto $fp
#
proc save_all { fp } {
    
    global general_params
    global item_list
    global LB_W
    global vars
    global magic_string
    global item_delimiter
    global save_flag
    global need_save
    global no_save

    # first save the general parameters, making sure they are set
    #
    set num ""
    catch { set num $vars(general,num_items) }
	
    if {$num == "" } {
	error_window "no general parameters" \
		"You must first set the general parameters."
    } else {
	
	# save the magic string
	#
	puts $fp $magic_string
	
	# print the comment and the general parameters
	#
	print_comment $fp general
	print_list $fp $general_params general
	
	# print each item in the list to the file
	#
	foreach item $item_list {
	    set number [lsearch $item_list $item]
	    set type [$LB_W.it_type get $number]
	    
	    puts $fp $item_delimiter
	    print_comment $fp $item
	    print_list $fp [get_list $type] $item
	    
	    update
	}
	
	# update the save flag
	#
	set save_flag $no_save
    }
    
}

# end of file
#
